Internal site. Jolli authentication required to view.
Skip to Content
API ReferenceOutput ConnectorsGET /v0/pipelines/{pipeline_name}/views/{view_name}/connectors/{connector_name}/stats

Get Output Status

GET/v0/pipelines/{pipeline_name}/views/{view_name}/connectors/{connector_name}/statsOutput Connectors

Try it

GET/v0/pipelines/{pipeline_name}/views/{view_name}/connectors/{connector_name}/stats
Authentication
Parameters

Retrieve the status of an output connector.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name
view_namestringYesSQL view name
connector_namestringYesOutput connector name

Response

200Output connector status retrieved successfullyapplication/json
  • object
    Output endpoint status information.
    • configobjectrequired
      Schema definition for endpoint config that only includes the stream field.
    • encode_errorsConnectorError[]
      Recent encoding errors on this endpoint.
    • endpoint_namestringrequired
      Endpoint name.
    • fatal_errorstring
      The first fatal error that occurred at the endpoint.
    • healthobject
    • metricsobjectrequired
      Performance metrics for an output endpoint.
    • transport_errorsConnectorError[]
      Recent transport errors on this endpoint.
404Pipeline, view and/or output connector with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
503application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/pipelines/{pipeline_name}/views/{view_name}/connectors/{connector_name}/stats' \ -H 'Authorization: Bearer YOUR_TOKEN'